#pragma once
#include "CoreMinimal.h"
#include "UObject/Object.h"
//#include "VectorTypes.h"
#include "PXConnectBlueprintInterface.generated.h"

DECLARE_DYNAMIC_DELEGATE(FPXTriggerEvent);

UCLASS()
class PIXERA_CONNECT_API UPXConnectBlueprintInterface : public UObject
{
	GENERATED_BODY()

public:
	UFUNCTION(BlueprintCallable, Category = "Pixera")
	static void registerEvent(const FPXTriggerEvent& pxEvent,const FString& eventName);

	UFUNCTION(BlueprintCallable, Category = "Pixera")
	static void triggerEventWithRegisteredName(const FString& eventName);

	UFUNCTION(BlueprintCallable, Category = "Pixera")
	static void sendDataInt(const TArray<int>& data,const FString& dataName=FString("MyData"));

	UFUNCTION(BlueprintCallable, Category = "Pixera")
	static void sendDataFloat(const TArray<float>& data,const FString& dataName=FString("MyData"));

	UFUNCTION(BlueprintCallable, Category = "Pixera")
	static void sendDataColor(FColor color,const FString& dataName=FString("MyColor"));

	UFUNCTION(BlueprintCallable, Category = "Pixera")
	static void sendDataVector(FVector vec,const FString& dataName=FString("MyVec"));

	UFUNCTION(BlueprintCallable, Category = "Pixera")
	static void sendDataVector2D(FVector2D vec, const FString& dataName = FString("MyVec"));
};